E-MailRelay

Public Attributes | List of all members
GSmtp::ProtocolMessage::FromInfo Struct Reference

Extra information from the SMTP MAIL-FROM command passed to GSmtp::ProtocolMessage::setFrom(). More...

`#include <gprotocolmessage.h>`

Collaboration diagram for GSmtp::ProtocolMessage::FromInfo:
[legend]

## Public Attributes
std::string | auth
std::string | body
bool | smtputf8 {true}
AddressStyle | address_style {AddressStyle::Ascii}

## Detailed Description

Extra information from the SMTP MAIL-FROM command passed to GSmtp::ProtocolMessage::setFrom().

Definition at line 77 of file gprotocolmessage.h.

## Member Data Documentation

## ◆ address_style

AddressStyle GSmtp::ProtocolMessage::FromInfo::address_style {AddressStyle::Ascii}

Definition at line 82 of file gprotocolmessage.h.

## ◆ auth

std::string GSmtp::ProtocolMessage::FromInfo::auth

Definition at line 79 of file gprotocolmessage.h.

## ◆ body

std::string GSmtp::ProtocolMessage::FromInfo::body

Definition at line 80 of file gprotocolmessage.h.

## ◆ smtputf8

bool GSmtp::ProtocolMessage::FromInfo::smtputf8 {true}

Definition at line 81 of file gprotocolmessage.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gprotocolmessage.h